## hut 0.7.0

=== Makefile ===
.POSIX:
.SUFFIXES:

GO = go
RM = rm
INSTALL = install
SCDOC = scdoc
GOFLAGS =
PREFIX = /usr/local
BINDIR = bin
MANDIR = share/man
BASHCOMPDIR = $(PREFIX)/share/bash-completion/completions
ZSHCOMPDIR = $(PREFIX)/share/zsh/site-functions
FISHCOMPDIR = $(PREFIX)/share/fish/vendor_completions.d

all: hut completions doc/hut.1

hut:
	$(GO) build $(GOFLAGS)

completions: hut.bash hut.zsh hut.fish

hut.bash: hut
	./hut completion bash >hut.bash

hut.zsh: hut
	./hut completion zsh >hut.zsh

hut.fish: hut
	./hut completion fish >hut.fish

doc/hut.1: doc/hut.1.scd
	$(SCDOC) <doc/hut.1.scd >doc/hut.1

clean:
	$(RM) -f hut doc/hut.1 hut.bash hut.zsh hut.fish

install:
	$(INSTALL) -d \
		$(DESTDIR)$(PREFIX)/$(BINDIR)/ \
		$(DESTDIR)$(PREFIX)/$(MANDIR)/man1/ \
		$(DESTDIR)$(BASHCOMPDIR) \
		$(DESTDIR)$(ZSHCOMPDIR) \
		$(DESTDIR)$(FISHCOMPDIR)
	$(INSTALL) -pm 0755 hut $(DESTDIR)$(PREFIX)/$(BINDIR)/
	$(INSTALL) -pm 0644 doc/hut.1 $(DESTDIR)$(PREFIX)/$(MANDIR)/man1/
	$(INSTALL) -pm 0644 hut.bash $(DESTDIR)$(BASHCOMPDIR)/hut
	$(INSTALL) -pm 0644 hut.zsh $(DESTDIR)$(ZSHCOMPDIR)/_hut
	$(INSTALL) -pm 0644 hut.fish $(DESTDIR)$(FISHCOMPDIR)/hut.fish

uninstall:
	$(RM) -f \
		$(DESTDIR)$(PREFIX)/$(BINDIR)/hut \
		$(DESTDIR)$(PREFIX)/$(MANDIR)/man1/hut.1 \
		$(DESTDIR)$(BASHCOMPDIR)/hut \
		$(DESTDIR)$(ZSHCOMPDIR)/_hut \
		$(DESTDIR)$(FISHCOMPDIR)/hut.fish

.PHONY: all hut clean install uninstall completions

## hut 0.3.0

=== debian/changelog ===
hut (0.3.0-2ubuntu0.1) mantic-security; urgency=medium

  * No change rebuid due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 09:46:53 +0530

hut (0.3.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:28 +1200

hut (0.3.0-2) unstable; urgency=medium

  * Source-only upload to permit testing migration.

 -- Taavi Väänänen <hi@taavi.wtf>  Tue, 13 Jun 2023 22:28:23 +0300

hut (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1026942)

 -- Taavi Väänänen <hi@taavi.wtf>  Tue, 13 Jun 2023 00:20:07 +0530

=== debian/control ===
Source: hut
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Taavi Väänänen <hi@taavi.wtf>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-golang,
               golang-any,
               golang-github-dustin-go-humanize-dev,
               golang-github-juju-ansiterm-dev,
               golang-github-spf13-cobra-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-term-dev,
               golang-sourcehut-emersion-go-scfg-dev,
               golang-sourcehut-emersion-gqlclient-dev (>= 0.0~git20230510.0c53449),
               scdoc,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/hut
Vcs-Git: https://salsa.debian.org/go-team/packages/hut.git
Homepage: https://sr.ht/~emersion/hut/
XS-Go-Import-Path: git.sr.ht/~emersion/hut

Package: hut
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: CLI tool for sr.ht
 hut is a command line tool to interact with the sr.ht code forge (aka
 SourceHut). hut uses the GraphQL APIs to interact with the various
 sr.ht services.

## hut 0.4.0

=== debian/changelog ===
hut (0.4.0-1) unstable; urgency=medium

  * New upstream release 0.4.0
  * Default to Debian's alternatives system when $EDITOR or $PAGER is
    not set (Closes: #1039891)

 -- Taavi Väänänen <hi@taavi.wtf>  Sat, 25 Nov 2023 15:50:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hut
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taavi Väänänen <hi@taavi.wtf>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -12,7 +11,6 @@
                golang-github-dustin-go-humanize-dev,
                golang-github-juju-ansiterm-dev,
                golang-github-spf13-cobra-dev,
-               golang-golang-x-oauth2-google-dev,
                golang-golang-x-term-dev,
                golang-sourcehut-emersion-go-scfg-dev,
                golang-sourcehut-emersion-gqlclient-dev (>= 0.0~git20230510.0c53449),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang

	# Building documentation and shell completions
	scdoc < doc/hut.1.scd > _build/hut.1
	mkdir _build/completion _build/completion/bash _build/completion/fish _build/completion/zsh
	_build/bin/hut completion bash > _build/completion/bash/hut
	_build/bin/hut completion fish > _build/completion/fish/hut.fish
	_build/bin/hut completion zsh > _build/completion/zsh/_hut

## hut 0.5.0

=== debian/changelog ===
hut (0.5.0-1) unstable; urgency=medium

  * New upstream release 0.5.0
  * Update my email address in uploaders list
  * Update Standards-Version to 4.7.0

 -- Taavi Väänänen <taavi@debian.org>  Sat, 01 Jun 2024 13:37:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Taavi Väänänen <hi@taavi.wtf>,
+Uploaders: Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
@@ -16,7 +16,7 @@
                golang-sourcehut-emersion-gqlclient-dev (>= 0.0~git20230510.0c53449),
                scdoc,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hut
 Vcs-Git: https://salsa.debian.org/go-team/packages/hut.git
 Homepage: https://sr.ht/~emersion/hut/

## hut 0.6.0

=== debian/changelog ===
hut (0.6.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 14:49:48 +1000

hut (0.6.0-1) unstable; urgency=medium

  * New upstream release 0.6.0
  * Update upstream details (Closes: #1074253)

 -- Taavi Väänänen <taavi@debian.org>  Thu, 27 Jun 2024 00:51:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hut
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -19,8 +20,8 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hut
 Vcs-Git: https://salsa.debian.org/go-team/packages/hut.git
-Homepage: https://sr.ht/~emersion/hut/
-XS-Go-Import-Path: git.sr.ht/~emersion/hut
+Homepage: https://sr.ht/~xenrox/hut/
+XS-Go-Import-Path: git.sr.ht/~xenrox/hut
 
 Package: hut
 Section: utils

## hut 0.7.0

=== debian/changelog ===
hut (0.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Taavi Väänänen <taavi@debian.org>  Sun, 10 Aug 2025 13:43:45 +0300

hut (0.7.0-1) experimental; urgency=medium

  * New upstream release 0.7.0 (Closes: #1081013)
    * Embed version in the built binary to be used in the User-Agent.
    * Update import path for go-scfg.
  * Update Standards-Version to 4.7.2

 -- Taavi Väänänen <taavi@debian.org>  Mon, 23 Jun 2025 11:10:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: hut
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taavi Väänänen <taavi@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
                dh-sequence-golang,
                golang-any,
+               golang-codeberg-emersion-go-scfg-dev,
                golang-github-dustin-go-humanize-dev,
                golang-github-juju-ansiterm-dev,
                golang-github-spf13-cobra-dev,
                golang-golang-x-term-dev,
-               golang-sourcehut-emersion-go-scfg-dev,
                golang-sourcehut-emersion-gqlclient-dev (>= 0.0~git20230510.0c53449),
                scdoc,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hut
 Vcs-Git: https://salsa.debian.org/go-team/packages/hut.git
 Homepage: https://sr.ht/~xenrox/hut/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
+
+BUILDFLAGS = -ldflags "-X 'main.version=$(DEB_VERSION)'"
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
@@ -7,7 +10,7 @@
 	dh_auto_install -- --no-source
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang
+	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)
 
 	# Building documentation and shell completions
 	scdoc < doc/hut.1.scd > _build/hut.1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://git.sr.ht/~xenrox/hut \
    refs/tags/@ANY_VERSION@ debian
